Apis::V4::Impersonations API

Impersonate a user

Parameters

Name Description
access_token JSON Web Token retrieved from the Sessions endpoint (you can also pass this into the Authorization header)
id The user_id that you want to impersonate

Response Fields

Name Description
token MH JSON Web Token that will contain a user_id, a super_admin_id, and an expires at
first_name Impersonated User's first name
last_name Impersonated User's last name
person_id Impersonated User's person id
profile_image_url Impersonated User's profile image
thekey_uid Impersonated User's UID for TheKey.me

Request

Headers

Version: HTTP/1.0
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMDIsImV4cCI6MTc5NDU0MDIxMywiaWF0IjoxNzk0NTQwMDMzfQ.3_o9Qi5IFtp8RI6bimDy-HRcSLWNWuD69kFaxI5Ww14
Host: example.org
Cookie: 

Route

GET /apis/v4/impersonations/103

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
Vary: Accept
X-MH-Session: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VyX2lkIjoxMDMsInN1cGVyX2FkbWluX2lkIjoxMDIsImV4cCI6MTc5NDU0MTgzMywiaWF0IjoxNzk0NTQwMDMzfQ.ZwU5ift7jd96j2F5C4pLm0p5_ARYdyrRUeU8R-b-hYo
Access-Control-Expose-Headers: X-MH-Session
ETag: W/"fe9837110e25646e83432cccf5fe58c1"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 1833b32d-39c5-4c8e-9930-01831e030f8a
X-Runtime: 0.040706
Content-Length: 326

Status

200

Body